#ifndef GAME_H
#define GAME_H

#include "allegro.h"
#include "background.h"

class Game
{
    friend void * game_loop(void *);

        private:
                ALLEGRO_DISPLAY *game;

                ALLEGRO_EVENT in_event;

                ALLEGRO_KEYBOARD_STATE keyboard;
                ALLEGRO_MOUSE_STATE mouse;

                ALLEGRO_EVENT_QUEUE *queue;

                Background * background;
                Element * elements;
                ElementQ arrows;

        public:
                Game();
                ~Game();

                inline ALLEGRO_DISPLAY * getGameDisp() {return game;};

                void draw ();
};

void * game_loop(void *);

extern pthread_t game_thread;

#endif
